.features {
  @include sectionCenter;
  overflow: hidden;
  min-width: $width-s;

  padding: {
    bottom: 55px;
    top: 94px;
  }

  background-color: $features-bgc;

  @media screen and (max-width: $width-m-l) {
    padding-top: 32px;
    padding-bottom: 24px;
    background-color: transparent;
  }
}

.features__content-wrapper {
  @include sectionContent;

  display: grid;
  grid-template-areas:
    "list header"
    "list img";

  grid-template-columns: minmax(300px, 536px) minmax(550px, 1fr);
  // grid-auto-columns: repeat(auto-fill, minmax(min-content, 1fr));
  grid-template-rows: 46px;

  gap: 19px 77px;
  // transition: gap 1s;

  .section-header {
    // height: 46px;
    grid-area: header;
    // min-width: 550px;
    // max-width: 587px;
    // width: 668px;
    // margin: {
    //   bottom: 19px;
    //   left: 22px;
    // }
    // align-self: flex-end;
  }

  // @media screen and (max-width: 1180px) {
  //   gap: 19px 50px;
  //   transition: gap 1s;
  // }

  @media screen and (max-width: 992px) {
    // position: relative;
    width: 100vw;
    grid-template-areas:
      "header"
      "list"
      "img";
    grid-template-columns: 1fr;
    grid-template-rows: min-content;
    padding: 0 10px;
    width: 100%;
    // box-sizing: border-box;

    .section-header {
      font-size: 42px;
      line-height: 44px;
      max-width: 100%;
      min-width: 0;
      height: fit-content;
      width: 100%;
      text-align: center;
    }

    .features__features-list {
      max-width: none;
      min-width: none;
      // width: fit-content;
      // padding: 0 30px;
    }

    .features__main-picture-wrapper {
      // position: relative;
      // right: 10px;
      justify-self: end;
      margin-right: 0;
      width: 100%;
      max-width: 678px;
      // margin-left: $main-content-padding;
      // padding-left: 60px;
      // position: relative;
      // left: -30px;
    }

    .features__main-picture {
      position: relative;
      right: -20px;
      // transition: height 1s;
    }
  }

  @media screen and (max-width: $width-s-m) {
    padding: 0;
    gap: 0;

    .features__feature-card {
      @include flexCenterCenter;
      flex-direction: column;
    }

    .section-header {
      font-size: 32px;
      line-height: 38px;
      // max-width: 100%;
      // min-width: 0;
      // height: fit-content;
      // width: 100%;
      // text-align: center;
    }

    .feature__feature-text {
      text-align: center;
    }

    .features__main-picture-wrapper {
      // position: relative;
      // right: 10px;
      justify-self: end;
      margin-right: 0;
      height: 348px;
      // width: 100%;
      max-width: 678px;
      // width: fit-content;
      // margin-left: $main-content-padding;
      // padding-left: 60px;
      // position: relative;
      // left: -30px;
      // transition: height 1s;
    }

    .features__main-picture {
      position: relative;
      right: -10px;
      height: 348px;
      // transition: height 1s;
    }
  }
}

.features__main-picture-wrapper {
  height: 475px;
  display: block;
  margin: 22px 0;
  // margin-right: 0;

  grid-area: img;

  // position: relative;
  // right: -$main-content-padding;
  margin-right: -$main-content-padding;

  // width: 668px;
  max-width: 668px;
  min-width: 50px;
  position: relative;

  @media screen and (max-width: $width-m-l) {
    margin-top: 76px;
    margin-bottom: 0;
  }
}

.features__main-picture {
  position: absolute;
}

.features__features-list {
  width: 100%;
  max-width: 536px;
  // min-width: 400px;
  display: flex;
  flex-direction: column;
  gap: 35px;

  grid-area: list;

  @media screen and (max-width: $width-m-l) {
    margin-top: 50px;
    gap: 60px;
  }

  @media screen and (max-width: $width-s-m) {
    margin-top: 36px;
    gap: 38px;
  }
}

.features__feature-card {
  display: grid;
  grid-template-columns: $feature-icone-max-size auto;
  justify-items: flex-start;
  align-items: flex-start;
  gap: 16px 23px;

  &:not(&:first-child) > .features__icon-wrapper {
    width: $feature-icone-mid-size;
  }
}

.features__icon-wrapper {
  grid-row-start: 1;
  grid-row-end: 3;
  @include flexCenterCenter;
}

.features__feature-header {
  @include set-font(16px, 400, 16px);
  color: $features-header-color;
}

.feature__feature-text {
  @include set-font(14px, 400, 21px);
  color: $features-text-color;

  grid-column: 2;
  grid-row-start: 2;
  grid-row-end: 3;
}
